{% extends "base_device.yaml.jinja2" %}
{% block device_setup %}

device_type: imx93-11x11-evk
job_name: {{ lava_job_name }}
visibility: public
timeouts:
  job:
    minutes: 60
  action:
    minutes: 60
  connection:
    minutes: 2

context:
  lava_test_results_dir: /var/lib/lava-%s

{% set artifacts_base_url = dirname(dirname(os_url)) %}

actions:

- deploy:
    to : uuu
    images:
      boot:
        url: https://gitlab.com/Linaro/blueprints/ci-artifacts/-/raw/main/imx-boot-imx93-11x11-lpddr4x-evk-sd.bin-flash_singleboot
      rootfs:
        url: {{ os_url }}
        {%- set os_path, os_extension = splitext(os_url) %}
        compression: {{ os_extension[1:] }}
        format: ext4
        root_partition: 1

- boot:
    method: uuu
    commands :
      - bcu: reset usb
      - uuu: -b emmc_all {boot} {rootfs}
      - bcu: deinit
    timeout:
      minutes: 20

- boot:
    method: u-boot
    timeout:
      minutes: 45
    auto_login:
      login_prompt: 'login:'
      username: 'root'
    prompts:
      - root@(.*):[/~]#
    commands:
      - setenv mmcroot /dev/mmcblk0p2 rootwait rw
      - setenv fdtfile dtb/freescale/imx93-11x11-evk.dtb
      - setenv fdt_addr_r 0x87400000
      - run bootcmd
    transfer_overlay:
      download_command: wget
      unpack_command: tar -C /var/lib/ -xzvf
{% endblock %}
